Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service
Class PortletServiceInvalidInterfaceException

    java.lang.Object
      PortletException
          com.ibm.portal.portlet.service.PortletServiceUnavailableException
              com.ibm.portal.portlet.service.PortletServiceInvalidInterfaceException

All Implemented Interfaces:
  Localized

    public abstract class PortletServiceInvalidInterfaceException

extends PortletServiceUnavailableException

Exception that indicates that a `PortletServiceHome` object cannot provide an implementation for the requested interface.

Note that this exception may also occur if the service provider and the service requestor access an interface with the same name in different classloaders. This can happen if the service interface is packaged with the portlet requesting the service. Normally, service interfaces are provided by the portal and should not be packaged in portlet archives.

Since:
  5.1

Constructor Summary
`PortletServiceInvalidInterfaceException()`

Method Summary
`abstract java.lang.Class` | `getServiceInterface()` Returns the service interface that was requested but could not be provided.

Methods inherited from class com.ibm.portal.portlet.service.PortletServiceUnavailableException
`getDescription, getLocales, getTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletServiceInvalidInterfaceException

    public PortletServiceInvalidInterfaceException()

Method Detail

### getServiceInterface

    public abstract java.lang.Class getServiceInterface()

  Returns the service interface that was requested but could not be provided.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD